package com.realnet.order_estimation.Services;
import com.realnet.order_estimation.Repository.TypeRepository;
import com.realnet.order_estimation.Entity.Type
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class TypeService {
@Autowired
private TypeRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Type Savedata(Type data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Type save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Type> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Type> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Type> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Type getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Type update(Type data,Integer id) {
	Type old = Repository.findById(id).get();
old.setType(data.getType());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

old.setManufacturer(data.getManufacturer());

final Type test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
